#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Acme
%define	pnam	Damn
Summary:	Acme::Damn - 'Unbless' Perl objects
Summary(pl.UTF-8):	Acme::Damn - "odbłogosławianie" obiektów Perla
Name:		perl-Acme-Damn
Version:	0.08
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37862c217ddea1756a4e43b82e6eebdb
URL:		http://search.cpan.org/dist/Acme-Damn/
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Acme::Damn provides a single routine, damn(), which takes a blessed
reference (a Perl object), and unblesses it, to return the original
reference. I can't think of any reason why you might want to do this,
but just because it's of no use doesn't mean that you shouldn't be
able to do it.

%description -l pl.UTF-8
Acme::Damn dostarcza jedną funkcję: damn(), która przyjmuje
pobłogosławioną referencję (obiekt perlowy) i odbłogosławia ją, aby
zwrócić oryginalną referencję. Nie znaleziono na razie powodu, żeby to
robić, ale to, że takie działanie nie ma zastosowania, nie znaczy, że
nie powinno dać się tego zrobić.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Acme
%{perl_vendorarch}/Acme/*.pm
%dir %{perl_vendorarch}/auto/Acme
%dir %{perl_vendorarch}/auto/Acme/Damn
%attr(755,root,root) %{perl_vendorarch}/auto/Acme/Damn/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Acme-Damn.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 768d4e6
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 97a239c
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 4c0e522
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 259e990
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> dfffc55
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> f512c73
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sat Oct 20 2018 Adam Gołębiowski <adamg@pld-linux.org> 91e94f4
- updated to 0.08

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> be13d50
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> df02dad
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> fe28d36
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 87f3789
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8532b8c
- up to 0.06

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> ad97982
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f756a4f
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c9e2fa9
- x32 rebuild
- release 6 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 0c0162d
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6c8380c
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a09872d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f841445
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cdec770
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

